digiKam Developer Documentation: Digikam::VersionsDelegate Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Signals | Public Member Functions | Protected Slots | Protected Member Functions | Properties | List of all members
Digikam::VersionsDelegate Class Reference
Inheritance diagram for Digikam::VersionsDelegate:

## Signals
void | animationStateChanged ()
void | hideNotification ()
void | requestNotification (const QModelIndex &index, const QString &message)
void | visualChange ()

## Public Member Functions
| VersionsDelegate (QObject *const parent)
int | animationState () const
void | beginPainting ()
void | finishPainting ()
void | paint (QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const override
void | setAnimationState (int animationState)
void | setThumbnailSize (int size) const
QSize | sizeHint (const QStyleOptionViewItem &option, const QModelIndex &index) const override
int | thumbnailSize () const
Public Member Functions inherited from Digikam::ItemDelegateOverlayContainer
| ItemDelegateOverlayContainer ()=default
| This is a sample implementation for delegate management methods, to be inherited by a delegate.
void | installOverlay (ItemDelegateOverlay *overlay)
void | mouseMoved (QMouseEvent *e, const QRect &visualRect, const QModelIndex &index)
QList< ItemDelegateOverlay * > | overlays () const
void | removeAllOverlays ()
void | removeOverlay (ItemDelegateOverlay *overlay)
void | setAllOverlaysActive (bool active)
void | setViewOnAllOverlays (QAbstractItemView *view)

## Protected Slots
void | overlayDestroyed (QObject *o) override

## Protected Member Functions
QAbstractItemDelegate * | asDelegate () override
| Returns the delegate, typically, the derived class.
void | initStyleOption (QStyleOptionViewItem *option, const QModelIndex &index) const override
Protected Member Functions inherited from Digikam::ItemDelegateOverlayContainer
virtual void | drawOverlays (QPainter *p, const QStyleOptionViewItem &option, const QModelIndex &index) const
virtual void | overlayDestroyed (QObject *o)
| Declare as slot in the derived class calling this method.

## Properties
int | animationState

## Additional Inherited Members
Protected Attributes inherited from Digikam::ItemDelegateOverlayContainer
QList< ItemDelegateOverlay * > | m_overlays

## Member Function Documentation

## ◆ asDelegate()

QAbstractItemDelegate * Digikam::VersionsDelegate::asDelegate | ( |  | ) |
| inlineoverrideprotectedvirtual

Implements Digikam::ItemDelegateOverlayContainer.

## ◆ requestNotification

void Digikam::VersionsDelegate::requestNotification | ( | const QModelIndex & | index,
|  | const QString & | message
| ) |  |
| signal

Note
  for ItemDelegateOverlayContainer, unimplemented: